* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  height: 100vh;
}

.cards {
  position: relative;
  width: 90%;
  height: 350px;
}

.cards:hover .card {
  animation-play-state: paused;
}

.card {
  left: 0;
  right: 0;
  position: absolute;
  width: 175px;
  height: 350px;
  background-color: #8989dc;
  box-shadow: 0 10px 14px rgba(0,0,0,0.6);
  text-align: center;
  animation: 16s infinite linear;
  transform-origin: bottom;
  z-index: 10;
}

.card-title {
  color: #fff;
}

.card-1 { animation-name: card-1-animate; }
.card-2 { animation-name: card-2-animate; }
.card-3 { animation-name: card-3-animate; }
.card-4 { animation-name: card-4-animate; }
.card-5 { animation-name: card-5-animate; }
.card-6 { animation-name: card-6-animate; }
.card-7 { animation-name: card-7-animate; }

.card-img { max-width: 100%; }

@keyframes card-1-animate {
  0% { transform: translateX(0) scale(.8); }
  28% { transform: translateX(400px) scaleX(1); }
  56% { transform: translateX(800px) scale(1); }
  84% { transform: translateX(1200px) scale(.8); }
  100% {
    z-index: -5;
    transform: translateX(0) scale(.8);
  }
}

@keyframes card-2-animate {
  0% { transform: translateX(200px) scale(.9); }
  14% { transform: translateX(400px) scale(1); }
  42% { transform: translateX(800px) scale(1); }
  70% { transform: translateX(1200px) scale(.8); }
  84% {
    z-index: -5;
    transform: translateX(0px) scale(.8);
  }
  100% { transform: translateX(200px) scale(.9) }
}

@keyframes card-3-animate {
  0% {
    z-index: 10;
    transform: translateX(400px) scale(1);
  }
  28% { transform: translateX(800px) scale(1); }
  56% { transform: translateX(1225px) scale(.8); }
  70% {
    z-index: -5;
    transform: translateX(0) scale(.8);
  }
  100% { transform: translateX(400px) scale(1); }
}

@keyframes card-4-animate {
  0% { transform: translateX(600px) scale(1); }
  14% { transform: translateX(800px) scale(1); }
  42% { transform: translateX(1200px) scale(.8); }
  56% {
    z-index: -5;
    transform: translateX(0) scale(.8);
  }
  84% { transform: translateX(400px) scale(1); }
  100% {
    z-index: 5;
    transform: translateX(600px) scale(1);
  }
}

@keyframes card-5-animate {
  0% { transform: translateX(800px) scale(1); }
  28% { transform: translateX(1200px) scale(.8); }
  42% {
    z-index: -5;
    transform: translateX(0) scale(0.8);
  }
  70% { transform: translateX(400px) scale(1); }
  100% { transform: translateX(800px) scale(1); }
}

@keyframes card-6-animate {
  0% { transform: translateX(1000px) scale(.9); }
  14% { transform: translateX(1200px) scale(.8); }
  28% {
    z-index: -5;
    transform: translateX(0) scale(.8);
  }
  56% { transform: translateX(400px) scale(1); }
  84% { transform: translateX(800px) scale(1); }
  100% { transform: translateX(1000px) scale(.9); }
}

@keyframes card-7-animate {
  0% { transform: translateX(1200px) scale(.8); }
  14% {
    transform: translateX(0) scale(.8);
    z-index: -5;
  }
  42% { transform: translateX(400px) scale(1); }
  70% { transform: translateX(800px) scale(1); }
  100% { transform: translateX(1200px) scale(.8); }
}
